Bug 1328032 - ZF2015-08 breaks binary data
Summary: ZF2015-08 breaks binary data
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: php-ZendFramework
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Felix Kaechele
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-18 09:14 UTC by Dirk Götz
Modified: 2016-05-19 16:20 UTC (History)
3 users (show)

Fixed In Version: php-ZendFramework-1.12.18-1.fc24 php-ZendFramework-1.12.18-1.fc22 php-ZendFramework-1.12.18-1.fc23 php-ZendFramework-1.12.18-1.el5 php-ZendFramework-1.12.18-1.el6 php-ZendFramework-1.12.18-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-07 11:44:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Dirk Götz 2016-04-18 09:14:44 UTC
Description of problem:
According to https://github.com/zendframework/zf1/issues/655 and https://github.com/zendframework/zf1/pull/670 the version of php-Zendframework included in Fedora and EPEL is breaking binary data.

Version-Release number of selected component (if applicable):
Broken in 1.12.16 and 1.12.17, fixed in 1.12.18

How reproducible:
Store binary data in any database managed by php-Framework using its PDO adapter

Actual results:
Binary data is broken and application can not work with data

Expected results:
Binary data is fine and application works

Additional info:
I already tried the upstream fix using the packages provided by remis additional repo (http://rpms.famillecollet.com/enterprise/7/remi/x86_64/repoview/) and I hope to see this in EPEL as well because I am normally not allowed to use additional repos.

Comment 1 Fedora Update System 2016-04-30 23:03:45 UTC
php-ZendFramework-1.12.18-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a99b422608

Comment 2 Fedora Update System 2016-04-30 23:04:46 UTC
php-ZendFramework-1.12.18-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b3e8f05871

Comment 3 Fedora Update System 2016-04-30 23:05:32 UTC
php-ZendFramework-1.12.18-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9391da5d87

Comment 4 Fedora Update System 2016-04-30 23:06:01 UTC
php-ZendFramework-1.12.18-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b5e1f4e4b7

Comment 5 Fedora Update System 2016-04-30 23:14:07 UTC
php-ZendFramework-1.12.18-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5594062c3b

Comment 6 Fedora Update System 2016-04-30 23:26:10 UTC
php-ZendFramework-1.12.18-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6d2eb8549d

Comment 7 Fedora Update System 2016-05-01 17:54:46 UTC
php-ZendFramework-1.12.18-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a99b422608

Comment 8 Fedora Update System 2016-05-02 00:21:44 UTC
php-ZendFramework-1.12.18-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b5e1f4e4b7

Comment 9 Fedora Update System 2016-05-02 00:52:48 UTC
php-ZendFramework-1.12.18-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b3e8f05871

Comment 10 Fedora Update System 2016-05-02 00:53:31 UTC
php-ZendFramework-1.12.18-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9391da5d87

Comment 11 Fedora Update System 2016-05-02 06:17:18 UTC
php-ZendFramework-1.12.18-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6d2eb8549d

Comment 12 Fedora Update System 2016-05-02 06:20:55 UTC
php-ZendFramework-1.12.18-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5594062c3b

Comment 13 Fedora Update System 2016-05-07 11:44:32 UTC
php-ZendFramework-1.12.18-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-05-10 17:52:48 UTC
php-ZendFramework-1.12.18-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-05-10 17:59:10 UTC
php-ZendFramework-1.12.18-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-05-18 00:18:17 UTC
php-ZendFramework-1.12.18-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-05-19 16:17:14 UTC
php-ZendFramework-1.12.18-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-05-19 16:20:36 UTC
php-ZendFramework-1.12.18-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.